package com.ruoyi.web.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.domain.vo.DictDataVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel(value = "StandardResponse", description = "标准库详情")
@Data
public class StandardResponse {

    @ApiModelProperty("主键")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @ApiModelProperty("标准名称")
    private String name;

    @ApiModelProperty("标准号")
    private String standardNo;

    @ApiModelProperty("文件路径")
    private String file;

    @ApiModelProperty("标准分类")
    private String standardType;

    @ApiModelProperty("标准状态")
    private String standardStatus;

    @ApiModelProperty("发布日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date releaseDate;

    @ApiModelProperty("实施日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date implementationDate;

    @ApiModelProperty("检验项")
    private List<DictDataVO> dictList;
}
